
Global $line
Global $o
Global $p
Global $q
Global $tabsplit
Global $lookfor

#include <File.au3>

$wftm = FileOpenDialog ("Select file", "", "Files (*.*)")
$wftmfile = FileOpen ($wftm, 128)
$wflines = _FileCountLines ($wftm)

$lookfor = InputBox ("Which?", "Type in which part of speech to extract:" & @CRLF & @CRLF & "Noun N, Plural p, Noun Phrase h, Verb (usu participle) V, Verb (transitive) t, Verb (intransitive) i, Adjective A, Adverb v, Conjunction C, Preposition P, Interjection !, Pronoun r, Definite Article D, Indefinite Article I, Nominative o", "")

$o = 0 ; number of terms found
$p = 0 ; number of lines examined
$q = 0 ; number of lines, reset every 10 000

$outputfile = FileOpen ($lookfor & ".txt", 129)

For $i = 1 to $wflines

$line = FileReadLine ($wftmfile, $i)
; Version 2: split by tab, then look in second column

If StringInStr ($line, @TAB) Then
$tabsplit = StringSplit ($line, @TAB, 1)

If StringInStr ($tabsplit[2], $lookfor, 1) Then ; 1 means case sensitive
FileWriteLine ($outputfile, $line)
$o = $o + 1
EndIf

$p = $p + 1

$q = $q + 1
If $q = 5000 Then
TrayTip ("", $p & " lines out of " & $wflines & " examined so far." & @CRLF & "Found " & $o & " matching terms so far.", 5)
$q = 0
EndIf
EndIf

Next

FileClose ($outputfile)

MsgBox (0, "Results", $p & " lines processed, " & $o & " lines found")



